using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("作业活动记录人员表")]
    public class T_FO_JOB_EVENT_PERSON : MesEntityBase
    {
        [Description("作业活动记录表ID")]
        [DataFieldForeignKey("Nav_JobEventRecord", "Nav_JobEventPerson")]
        public Guid JOB_EVENT_RECORD_ID { get; set; }

        [Description("导航属性：作业活动记录表")]
        public virtual T_FO_JOB_EVENT_RECORD Nav_JobEventRecord { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public int DEAL_STATUS { get; set; }
    }
}
